commit:     290ec0e38b92302f4c7448d48070387eff77f7af
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 22 14:27:50 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 14:47:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=290ec0e3

media-plugins/vdr-epgsearch: open if-use cases in 2.4.0_p20200402

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 .../vdr-epgsearch/vdr-epgsearch-2.4.0_p20200402.ebuild     | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0_p20200402.ebuild 
b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0_p20200402.ebuild
index 0a99011a719..d8abad55117 100644
--- a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0_p20200402.ebuild
+++ b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0_p20200402.ebuild
@@ -42,9 +42,17 @@ src_prepare() {
        rm 
"${S}"/po/{ca_ES,da_DK,el_GR,et_EE,hr_HR,hu_HU,nn_NO,pl_PL,pt_PT,ro_RO,ru_RU,sl_SI,sv_SE,tr_TR}.po
 \
                || die "cannot remove untranslated .po files"
 
-       use conflictcheckonly || sed -e "s:install-\$(PLUGIN3)::" -i Makefile 
|| die "cannot modify Makefile"
-       use epgsearchonly || sed -e "s:install-\$(PLUGIN2)::" -i Makefile || 
die "cannot modify Makefile"
-       use quicksearch || sed -e "s:install-\$(PLUGIN4)::" -i Makefile || die 
"cannot modify Makefile"
+       if use conflictcheckonly; then
+               sed -e "s:install-\$(PLUGIN3)::" -i Makefile || die "cannot 
modify Makefile"
+       fi
+
+       if use epgsearchonly; then
+               sed -e "s:install-\$(PLUGIN2)::" -i Makefile || die "cannot 
modify Makefile"
+       fi
+
+       if use quicksearch; then
+               sed -e "s:install-\$(PLUGIN4)::" -i Makefile || die "cannot 
modify Makefile"
+       fi
 
        vdr-plugin-2_src_prepare
 

Reply via email to